<?php
// Exibir erros para depuração
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Configurações do banco de dados
$dbHost = 'localhost';
$dbUsername = 'u242756182_painelmand';
$dbPassword = 'B@963852j';
$dbName = 'u242756182_painel'; 

// Iniciar sessão
session_start();

// Conectar ao banco de dados
$conn = new mysqli($dbHost, $dbUsername, $dbPassword, $dbName);

// Verificar conexão
if ($conn->connect_error) {
    die("Conexão com o banco de dados falhou: " . $conn->connect_error);
}

// Verificar se o formulário foi enviado
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Obter os dados do formulário
    $username = $conn->real_escape_string($_POST['username']);
    $password = $conn->real_escape_string($_POST['password']);

    // Verificar se o usuário e a senha estão no banco de dados
    $sql = "SELECT * FROM usuario WHERE usuario = '$username' AND senha = '$password'";
    $result = $conn->query($sql);

    if ($result && $result->num_rows > 0) {
        // Login bem-sucedido
        $_SESSION['loggedin'] = true; // Sessão ativa
        $_SESSION['username'] = $username; // Salvar nome do usuário na sessão
        header("Location: /simples/identificacao/PAINEL/nav/dados.php"); // Caminho para o painel
        exit();
    } else {
        // Credenciais inválidas
        echo "<script>alert('Usuário ou senha inválidos!');</script>";
        echo "<script>window.history.back();</script>"; // Retorna à página de login
    }
}
// Após o login bem-sucedido
$_SESSION['username'] = $usuarioNome; // Armazena o nome do usuário na sessão

// Fechar conexão
$conn->close();
?>
